Package com.fasterxml.jackson.datatype.jsr310

# Class JSR310Module

java.lang.Object
com.fasterxml.jackson.databind.Module
com.fasterxml.jackson.databind.module.SimpleModule
com.fasterxml.jackson.datatype.jsr310.JSR310Module

All Implemented Interfaces:
  `com.fasterxml.jackson.core.Versioned`, `Serializable`

@Deprecated public final class JSR310Module extends com.fasterxml.jackson.databind.module.SimpleModule
Deprecated.
Replaced by `JavaTimeModule` since Jackson 2.7, see above for details on differences in the default configuration.
Older version of `JavaTimeModule` which was the default choice up to Jackson 2.5, but was obsoleted in 2.6 by `JavaTimeModule`. Functionality does not differ between the two modules (at least in 2.6), so Javadocs for `JavaTimeModule` may be consulted for functionality available. The default settings do, however, such that

- New `JavaTimeModule` uses same standard settings to default to serialization that does NOT use Timezone Ids, and instead only uses ISO-8601 compliant Timezone offsets. Behavior may be changed using `SerializationFeature.WRITE_DATES_WITH_ZONE_ID`
- Old `JSR310Module` defaults to serialization WITH Timezone Ids (to support round-trippability of values when using JSR-310 types and Jackson)

Note that it is, then, possible to upgrade to `JavaTimeModule` by simply reconfiguring it by enabling `SerializationFeature.WRITE_DATES_WITH_ZONE_ID`. This class is only retained to keep strict source and binary compatibility.

Since:
  2.2.0
Author:
  Nick Williams
See Also:
  - `Jsr310NullKeySerializer`
  - `JavaTimeModule`
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.Module

`com.fasterxml.jackson.databind.Module.SetupContext`

## Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.module.SimpleModule

`_abstractTypes, _deserializerModifier, _deserializers, _hasExplicitName, _keyDeserializers, _keySerializers, _mixins, _name, _namingStrategy, _serializerModifier, _serializers, _subtypes, _valueInstantiators, _version`

## Constructor Summary

Constructors
Constructor
Description
`JSR310Module()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`protected com.fasterxml.jackson.databind.introspect.AnnotatedMethod`
`_findFactory(com.fasterxml.jackson.databind.introspect.AnnotatedClass cls, String name, Class<?>... argTypes)`
Deprecated.
`void`
`setupModule(com.fasterxml.jackson.databind.Module.SetupContext context)`
Deprecated.

### Methods inherited from class com.fasterxml.jackson.databind.module.SimpleModule

`_checkNotNull, addAbstractTypeMapping, addDeserializer, addKeyDeserializer, addKeySerializer, addSerializer, addSerializer, addValueInstantiator, getModuleName, getTypeId, registerSubtypes, registerSubtypes, registerSubtypes, setAbstractTypes, setDeserializerModifier, setDeserializers, setKeyDeserializers, setKeySerializers, setMixInAnnotation, setNamingStrategy, setSerializerModifier, setSerializers, setValueInstantiators, version`

### Methods inherited from class com.fasterxml.jackson.databind.Module

`getDependencies`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JSR310Module

public JSR310Module()
Deprecated.

## Method Details

### setupModule

public void setupModule(com.fasterxml.jackson.databind.Module.SetupContext context)
Deprecated.

Overrides:
  `setupModule` in class `com.fasterxml.jackson.databind.module.SimpleModule`

### _findFactory

protected com.fasterxml.jackson.databind.introspect.AnnotatedMethod _findFactory(com.fasterxml.jackson.databind.introspect.AnnotatedClass cls, String name, Class<?>... argTypes)
Deprecated.